## golang-github-emicklei-dot 1.6.2

=== dotx/Makefile ===
test:
	go test
	dot -Tpng < TestCompositeWithUnusedIOSameGraph.dot > TestCompositeWithUnusedIOSameGraph.png && open TestCompositeWithUnusedIOSameGraph.png
	dot -Tpng < TestExampleSubsystemSameGraph.dot > TestExampleSubsystemSameGraph.png && open TestExampleSubsystemSameGraph.png
	dot -Tsvg < TestExampleSubsystemExternalGraph.dot > TestExampleSubsystemExternalGraph.svg && open TestExampleSubsystemExternalGraph.svg
	dot -Tsvg < subsystem.dot > subsystem.svg && open subsystem.svg
	dot -Tsvg < subsystem2.dot > subsystem2.svg && open subsystem2.svg

=== debian/changelog ===
golang-github-emicklei-dot (1.6.2-1) unstable; urgency=medium

  * Initial release (Closes: #1108719)

 -- Leonardo Arias Fonseca <agami@riseup.net>  Wed, 20 Aug 2025 17:35:02 +0000

=== debian/control ===
Source: golang-github-emicklei-dot
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Leonardo Arias Fonseca <agami@riseup.net>,
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-emicklei-dot
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-emicklei-dot.git
Homepage: https://github.com/emicklei/dot
XS-Go-Import-Path: github.com/emicklei/dot

Package: golang-github-emicklei-dot-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: write descriptions using the Graphviz DOT and Mermaid language (library)
 Little helper package in Go for writing descriptions using the Graphviz
 DOT and Mermaid language.
 .
 It offers Graph, Node and Edge objects to construct simple and complex
 (e.g. nested) graphs.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/emicklei/dot/tags .*/v?(\d\S*)\.tar\.gz debian
